Bug 1965287 - CVE-2021-42739 kernel: Heap buffer overflow in firedtv driver [fedora-all]
Summary: CVE-2021-42739 kernel: Heap buffer overflow in firedtv driver [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 34
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-42739
TreeView+ depends on / blocked
 
Reported: 2021-05-27 11:26 UTC by Rohit Keshri
Modified: 2021-11-14 04:07 UTC (History)
20 users (show)

Fixed In Version: kernel-5.14.17-201.fc34 kernel-5.14.17-101.fc33 kernel-5.14.17-301.fc35
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-14 03:43:54 UTC
Type: ---


Attachments (Terms of Use)

Description Rohit Keshri 2021-05-27 11:26:05 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Rohit Keshri 2021-05-27 11:26:12 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1951739,1965287

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2021-11-09 12:54:49 UTC
FEDORA-2021-fdef34e26f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fdef34e26f

Comment 3 Fedora Update System 2021-11-09 12:55:00 UTC
FEDORA-2021-7de33b7016 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-7de33b7016

Comment 4 Fedora Update System 2021-11-09 12:55:10 UTC
FEDORA-2021-8364530ebf has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8364530ebf

Comment 5 Fedora Update System 2021-11-10 03:23:23 UTC
FEDORA-2021-8364530ebf has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8364530ebf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8364530ebf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-10 04:04:11 UTC
FEDORA-2021-7de33b7016 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-7de33b7016`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-7de33b7016

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-11-10 04:11:12 UTC
FEDORA-2021-fdef34e26f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fdef34e26f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fdef34e26f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-11-14 03:43:54 UTC
FEDORA-2021-7de33b7016 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-11-14 03:49:54 UTC
FEDORA-2021-8364530ebf has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-11-14 04:07:15 UTC
FEDORA-2021-fdef34e26f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.